TokyoTyrant::copy
TokyoTyrant::fwmKeys
TokyoTyrant
PHP Manual

# TokyoTyrant::ext

(PECL tokyo_tyrant >= 0.1.0)

TokyoTyrant::ext — Execute a remote script

### Opis

public string TokyoTyrant::ext ( string `$name` , int `$options` , string `$key` , string `$value` )

Executes a remote script extension.

### Parametry

`name`

  Name of the function to execute

`options`

  Either `TokyoTyrant::RDBXO_LCKREC` for record locking and `TokyoTyrant::RDBXO_LCKGLB` for global locking.

`key`

  The key to pass to the function

`value`

  The value to pass to the function

### Zwracane wartości

Returns the result of the script function

### Przykłady

Przykład #1 TokyoTyrant::ext example

`<?php
$tt = new TokyoTyrant("localhost", 1978);
echo $tt->ext("somefunc", TokyoTyrant::RDBXO_LCKREC, "some_key", "some_value");
?>`

TokyoTyrant::copy
TokyoTyrant::fwmKeys
TokyoTyrant
PHP Manual